gromox-dbop(8)

Name
gromox-dbop — User database maintenance utility

Synopsis
gromox-dbop [-CU] [--create-old] [-c mysql_adaptor.cfg]

Options

-C  Create the initial set of tables for the user information database (in MySQL).

-U  Upgrade the schema of the user information database. The database (MYSQL_DBNAME) should exist and be blank.

--create-old
    Create blank initial database using version 0. (This can be used for testing the upgrade procedure.)

-c mysql_adaptor.cfg
    Path to a configuration file that defines MYSQL_HOST, MYSQL_USERNAME, etc. If omitted, gromox-dbop will read /etc/gromox/http.cfg to locate mysql_adaptor.cfg to locate the mysql parameter.

See also
gromox(7), mysql_adaptor(4gx)